Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1422468 - atomic run does not handle malformed image/repository names
Summary: atomic run does not handle malformed image/repository names
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 11:59 UTC by Martin Babinsky
Modified: 2017-04-01 17:10 UTC (History)
7 users (show)

Fixed In Version: atomic-1.16.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:10:12 UTC
Type: Bug


Attachments (Terms of Use)
debugging output from atomic run (8.08 KB, text/plain)
2017-02-15 11:59 UTC, Martin Babinsky
no flags Details

Description Martin Babinsky 2017-02-15 11:59:37 UTC
Created attachment 1250559 [details]
debugging output from atomic run

Description of problem:

When supplying atomic run subcommand with malformed image name (e.g. missing organization in the name) the error message is rather cryptic and seems to originate from problematic handling of repository names rather than from failures to locate image name. Please check the reproducer below, it explains the issue more clearly.

Version-Release number of selected component (if applicable):

atomic-1.15.1-1.fc25.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Pull freeipa-server image from registry:

atomic pull freeipa/freeipa-server

2. Install freeipa-server container:

atomic install freeipa/freeipa-server hostname master.ipa.test -U -r IPA.TEST -a Secret123 -p Secret123

3. Run the container but leave out the organization name from container name

atomic run freeipa-server

Actual results:

The error message displayed is rather cryptic: Unable to resolve None

Expected results:

Error message should say something like "Unable to find image {image_name}".

Additional info:

I have attached a debug output from the command run in step 3.

Comment 1 Brent Baude 2017-02-16 19:53:50 UTC
Can you try this with the git master? I'm not able to exactly replicate the error you are seeing.

Comment 2 Martin Babinsky 2017-02-22 12:51:51 UTC
Indeed on master branch I get a sensible error message in step 3:

{{{
# ./atomic install freeipa/freeipa-server hostname master.ipa.test -U -r IPA.TEST -a Secret123 -p Secret123
<SNIP>
[root@master1 atomic]# ./atomic run freeipa-server
Need to pull freeipa-server
Unable to find freeipa-server
}}}

Comment 3 Brent Baude 2017-02-27 16:05:57 UTC
should we set this to release pending?

Comment 4 Daniel Walsh 2017-02-27 16:46:13 UTC
Fixed in atomic-1.16.2

Comment 5 Fedora Update System 2017-03-09 20:57:48 UTC
atomic-1.16.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 6 Fedora Update System 2017-03-09 20:58:51 UTC
atomic-1.16.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf5944a771

Comment 7 Fedora Update System 2017-03-11 00:21:03 UTC
atomic-1.16.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf5944a771

Comment 8 Fedora Update System 2017-03-11 14:25:36 UTC
atomic-1.16.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 9 Fedora Update System 2017-03-16 16:01:35 UTC
atomic-1.16.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 10 Fedora Update System 2017-03-17 02:19:41 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 11 Fedora Update System 2017-04-01 17:10:12 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.